from util import BaseCheckList, annotate_all

global_checks = BaseCheckList()

@global_checks.check(depends=['missingDataFlag'])
def check_missing_data_flag(frame, parameters):
    missing_data = (frame['missingDataFlag'] == 1)
    frame['check_missing_data_flag'] = missing_data * 1
    annotate_all(frame, missing_data, 'missing data')
    return frame

